<template>
  <div style="width: 99%; height: 100%; background-color: white;position: relative;border: 2px solid #9e9b9b; margin-left: 4px">
    <iframe style="height:100%;width:100%" :src="url" frameborder="0" />
  </div>
</template>
<script>
export default {
  components: {},
  props: {},
  data() {
    return {
      stationNumber: '',
      url: ''
    }
  },
  computed: {},
  watch: {},
  created() {
    this.stationNumber = this.$store.state.station.stationName
  },
  mounted() {
    this.getUrl()
  },
  methods: {
    getUrl() {
      const param = []
      param[0] = ['工位号', this.stationNumber]
      const Data = this.CreateData('11', '电子看板_工位名称与产品型号工艺卡_查询', param)
      this.ExecDatabase(Data).then(res => {
        if (res.data && res.data.length > 0) { this.url = res.data[0]['工艺卡路径'] }
      })
    }
  }
}
</script>
<style lang="scss" scoped>
</style>
